from b2eb_stat.models import Server, Cluster, Ssd
from b2eb_stat.serializers import ServerSerializer, ClusterSerializer, SsdSerializer 
from rest_framework import generics
from django.http import HttpResponse
from django.http import HttpResponseRedirect
from django.shortcuts import render

def StatMain(request):
    server = Server.objects.all()
    cluster = Cluster.objects.all()
    return render(request, 'stat.html', {'servers': server, 'clusters':cluster})

class ServerList(generics.ListCreateAPIView):
    queryset = Server.objects.all()
    serializer_class = ServerSerializer

class ServerDetail(generics.RetrieveUpdateDestroyAPIView):
    queryset = Server.objects.all()
    serializer_class = ServerSerializer

class ClusterList(generics.ListCreateAPIView):
    queryset = Cluster.objects.all()
    serializer_class = ClusterSerializer

class ClusterDetail(generics.RetrieveUpdateDestroyAPIView):
    queryset = Cluster.objects.all()
    serializer_class = ClusterSerializer

class SsdList(generics.ListCreateAPIView):
    queryset = Ssd.objects.all()
    serializer_class = SsdSerializer

class SsdDetail(generics.RetrieveUpdateDestroyAPIView):
    queryset = Ssd.objects.all()
    serializer_class = SsdSerializer

